makedeb
Emulates remote frameworks and delivers them as local resource, extension for Firefox.
Click here to go back to the commit logs for webext-localcdn-firefox.
Hash: 56f49e28f6332281003e2dc7875ffd8e0ae16fe6
Message: 2.6.60 and refactor
diff --git a/.SRCINFO b/.SRCINFO
index 2ac45d5..f0008b1 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -3,15 +3,17 @@ pkgname = webext-localcdn-firefox
pkgbase = webext-localcdn-firefox
pkgdesc = Emulates remote frameworks and delivers them as local resource, extension for Firefox.
pkgrel = 0
-pkgver = 2.6.59
+pkgver = 2.6.60
url = https://addons.mozilla.org/en-US/firefox/addon/localcdn-fork-of-decentraleyes/
arch = all
license = MPL2
-makedepends = unzip
-noextract = localcdn_fork_of_decentraleyes-2.6.59.xpi
+noextract = localcdn_fork_of_decentraleyes-2.6.60.xpi
optdepends = firefox
+optdepends = firefox-esr
options = !strip
-source = https://addons.mozilla.org/firefox/downloads/file/4197044/localcdn_fork_of_decentraleyes-2.6.59.xpi
-b2sums = 241b1dad96b27d65393cba52ea70641f170c9ff4256d3bcaa466b61688763be5db7d3a61a4356ce461f00cd998525c2bd331432eb0b05a19aa7489a4dc742b0d
-makedepends = unzip
+source = https://addons.mozilla.org/firefox/downloads/file/4208268/localcdn_fork_of_decentraleyes-2.6.60.xpi
+b2sums = c36e5a3bf0e9fd037334d9711a263ac4613374280594fdb6254517b34bd3c9be188d7e2b0ee20ab16e36d60afea4bcc1fe72f2a3a93d39dce3ae343ffbb8a31b
optdepends = firefox
+optdepends = firefox-esr
+optmakedepends = unzip: to uncompress the webextention
+optmakedepends = unzip: to uncompress the webextention
diff --git a/PKGBUILD b/PKGBUILD
index e74ca8a..5e5c0d1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,26 +1,39 @@
# Maintainer: exponential <echo ZXhwb25lbnRpYWxtYXRyaXhAcHJvdG9ubWFpbC5jb20K | base64 -d>
+# If your Firefox version doesn't support extracted webextentions
+#_UNCOMPRESS=0
pkgname=webext-localcdn-firefox
-pkgver=2.6.59
-_fileid=('4197044')
+_download_name="localcdn_fork_of_decentraleyes"
+pkgver=2.6.60
+_fileid=('4208268')
pkgrel=0
pkgdesc='Emulates remote frameworks and delivers them as local resource, extension for Firefox.'
arch=('all')
url='https://addons.mozilla.org/en-US/firefox/addon/localcdn-fork-of-decentraleyes/'
license=('MPL2')
-makedepends=("unzip")
-optdepends=('firefox')
+optmakedepends=("unzip: to uncompress the webextention")
+optdepends=('firefox' 'firefox-esr')
source=("https://addons.mozilla.org/firefox/downloads/file/$_fileid/localcdn_fork_of_decentraleyes-${pkgver}.xpi")
-noextract=("localcdn_fork_of_decentraleyes-${pkgver}.xpi")
+noextract=("${_download_name}-${pkgver}.xpi")
options=('!strip')
-b2sums=('241b1dad96b27d65393cba52ea70641f170c9ff4256d3bcaa466b61688763be5db7d3a61a4356ce461f00cd998525c2bd331432eb0b05a19aa7489a4dc742b0d')
+b2sums=('c36e5a3bf0e9fd037334d9711a263ac4613374280594fdb6254517b34bd3c9be188d7e2b0ee20ab16e36d60afea4bcc1fe72f2a3a93d39dce3ae343ffbb8a31b')
+
+prepare() {
+ [ -z "$_UNCOMPRESS" ] && unzip -u "$_download_name-${pkgver}.xpi" -d "${srcdir}/$pkgname-${pkgver}" || :
+}
package() {
_mozilla_id="{ec8030f7-c20a-464f-9b0e-13a3a9e97384}"
- _download_name="localcdn_fork_of_decentraleyes"
_ext_id="{b86e4813-687a-43e6-ab65-0bde4ab75758}"
_license_path="/usr/share/common-licenses/MPL-2.0"
+
install -dm755 "${pkgdir}/usr/share/mozilla/extensions/$_mozilla_id"
- unzip "$_download_name-${pkgver}.xpi" -d "${pkgdir}/usr/share/mozilla/extensions/$_mozilla_id/$_ext_id"
+ if [ -z "$_UNCOMPRESS" ];
+ then
+ mv "${srcdir}/$pkgname-${pkgver}" "${pkgdir}/usr/share/mozilla/extensions/$_mozilla_id/$_ext_id"
+ else
+ install -Dm644 "$_download_name-${pkgver}.xpi" "${pkgdir}/usr/share/mozilla/extensions/$_mozilla_id/$_ext_id.xpi"
+ fi
+ # Doc
install -dm755 "${pkgdir}/usr/share/doc/$pkgname"
ln -s "$_license_path" "${pkgdir}/usr/share/doc/$pkgname/"
}